Package csb :: Package core :: Class AbstractContainer

[frames] | no frames]

# Class AbstractContainer

source code

    object --+
             |
            AbstractContainer

Known Subclasses:
  - AbstractNIContainer
  - , bio.fragments.rosetta.RosettaFragmentMap
  - , Container

Defines the behavior of a high-level object, which can hold an array of elements. Implementing classes automatically provide iterable and index/key based access to those objects in a read-only encapsulated manner.

This is an abstract class with an abstract property `_children`. Subclasses must override this property. The overridden implementation is usually extremely simple - you just need to return a reference to an iterable and subscriptable object, containing the elements.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__bool__(self) | source code

__getitem__(self, i) | source code

__iter__(self) | source code

__len__(self) | source code

__nonzero__(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``_children``'``])``

Properties
Inherited from `object`: `__class__`